import { Series } from "./Series";
import { Point, Type } from "igniteui-react-core";
import { Frame } from "./Frame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { NotifyCollectionChangedEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Brush } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Tuple$2 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class AnnotationLayer extends Series {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    protected oh(a: Series): boolean;
    protected n9: AnnotationLayerView;
    oj: boolean;
    ok: boolean;
    pb: Point;
    oe: boolean;
    protected get_c1(): boolean;
    protected bj(): SeriesHitTestMode;
    protected get_db(): boolean;
    protected get_isUsableInLegend(): boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected pc: Point;
    private o3;
    private o2;
    private oy;
    private ox;
    protected of(a: Axis): boolean;
    private or;
    protected og(a: Series): boolean;
    private o1;
    protected ot(a: Axis, b: boolean): void;
    protected ou(a: Series, b: boolean): void;
    private o0;
    private oq;
    protected o8(): Brush;
    protected o9(): Brush;
    protected os(a: NotifyCollectionChangedEventArgs): void;
    protected ov(a: NotifyCollectionChangedEventArgs): void;
    protected ob: Frame;
    protected oa: Frame;
    protected oc: Frame;
    protected lo(a: Rect, b: Rect): void;
    protected ln(a: Rect, b: Rect): void;
    k4(a: boolean): void;
    protected get_cx(): boolean;
    protected ow(a: Frame, b: SeriesView): void;
    protected oz(a: Frame, b: SeriesView): void;
    protected op(a: Series): Tuple$2<boolean, Point>;
    protected ke(a: Point): void;
    pa: Point;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    protected get_d8(): boolean;
    private od;
    oi: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnnotationLayerView extends SeriesView {
    static $t: Type;
    constructor(a: AnnotationLayer);
    protected bx: AnnotationLayer;
    private by;
    private bz;
    private b3;
    b0(): void;
    b2(): void;
    b1(): void;
}
